All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultFilterableItem

    com.sas.dataselectors.filters.DefaultFilterableItem

All Implemented Interfaces:
  FilterableItemInterface

    @SASScope(value="ALL")
    public class DefaultFilterableItem

implements FilterableItemInterface

The default implementation of the FilterableItemInterface simply acts as a container for several key pieces of data.

Field Summary
`protected java.lang.String` | `_description` An optional description for this filterable item.
`protected java.lang.String` | `_exprText` The text representation of the expression defined by the filter given by the filter model.
`protected AdvancedFilterModelInterface` | `_filterModel` The filter model associated with this filterable item.
`protected java.lang.Object` | `_item` The actual filterable item in its native form.
`protected java.lang.String` | `_label` The label for this filterable item.

Constructor Summary
`DefaultFilterableItem()` Constructs an empty DefaultFilterableItem.
`DefaultFilterableItem(java.lang.Object filterableItem)` Constructs a new filter item with the specified properties.
`DefaultFilterableItem(java.lang.Object filterableItem, AdvancedFilterModelInterface filterModel)` Constructs a new filter item with the specified properties.
`DefaultFilterableItem(java.lang.String label, java.lang.String description)` Constructs a new filter item with the specified properties.
`DefaultFilterableItem(java.lang.String label, java.lang.String description, java.lang.Object filterableItem, AdvancedFilterModelInterface filterModel)` Constructs a new filter item with the specified properties.
`DefaultFilterableItem(java.lang.String label, java.lang.String description, java.lang.String expressionText)` Constructs a new filter item with the specified properties.
`DefaultFilterableItem(java.lang.String label, java.lang.String description, java.lang.String expressionText, java.lang.Object filterableItem, AdvancedFilterModelInterface filterModel)` Constructs a new filter item with the specified properties.

Method Summary
`void` | `clearFilter()` Clears the filter on this item's filter model.
`java.lang.String` | `getDescription()` Returns the description for this filterable item.
`java.lang.String` | `getExpressionText()` Returns the text representation of the expression for the filter.
`java.lang.Object` | `getFilterableItem()` Returns the filterable native model object for this item.
`AdvancedFilterModelInterface` | `getFilterModel()` Returns the filter model for this filterable item.
`java.lang.String` | `getLabel()` Returns the label for this filterable item.
`void` | `setDescription(java.lang.String value)` Sets the description for this item.
`void` | `setExpressionText(java.lang.String value)` Sets the text representation of the expression for the filter for this item.
`void` | `setFilterableItem(java.lang.Object value)` Sets the filterable native model object for this item.
`void` | `setFilterModel(AdvancedFilterModelInterface model)` Sets the filter model for this filterable item.
`void` | `setLabel(java.lang.String value)` Sets the label for this item.

Field Detail

### _label

    protected java.lang.String _label

  The label for this filterable item.

### _description

    protected java.lang.String _description

  An optional description for this filterable item.

### _filterModel

    protected AdvancedFilterModelInterface _filterModel

  The filter model associated with this filterable item.

### _item

    protected java.lang.Object _item

  The actual filterable item in its native form.

### _exprText

    protected java.lang.String _exprText

  The text representation of the expression defined by the filter given by the filter model.

Constructor Detail

### DefaultFilterableItem

    public DefaultFilterableItem()

  Constructs an empty DefaultFilterableItem.

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.String label,
                                 java.lang.String description,
                                 java.lang.String expressionText,
                                 java.lang.Object filterableItem,
                                 AdvancedFilterModelInterface filterModel)

  Constructs a new filter item with the specified properties.

  Parameters:
    `label` - the label for the item
    `description` - the description for the item
    `expressionText` - the text representation of the native filter expression
    `filterableItem` - the filterable item in the native model
    `filterModel` - the filter model for the filterable item

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.String label,
                                 java.lang.String description,
                                 java.lang.Object filterableItem,
                                 AdvancedFilterModelInterface filterModel)

  Constructs a new filter item with the specified properties.

  Parameters:
    `label` - the label for the item
    `description` - the description for the item
    `filterableItem` - the filterable item in the native model
    `filterModel` - the filter model for the filterable item

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.String label,
                                 java.lang.String description,
                                 java.lang.String expressionText)

  Constructs a new filter item with the specified properties.

  Parameters:
    `label` - the label for the item
    `description` - the description for the item
    `expressionText` - the text representation of the native filter expression

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.String label,
                                 java.lang.String description)

  Constructs a new filter item with the specified properties.

  Parameters:
    `label` - the label for the item
    `description` - the description for the item

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.Object filterableItem)

  Constructs a new filter item with the specified properties.

  Parameters:
    `filterableItem` - the filterable item in the native model

### DefaultFilterableItem

    public DefaultFilterableItem(java.lang.Object filterableItem,
                                 AdvancedFilterModelInterface filterModel)

  Constructs a new filter item with the specified properties.

  Parameters:
    `filterableItem` - the filterable item in the native model
    `filterModel` - the filter model for the filterable item

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label for this filterable item.

  Specified by:
    `getLabel` in interface `FilterableItemInterface`
  Returns:
    this item's label
  See Also:
    `FilterableItemInterface.getLabel()`

### setLabel

    public void setLabel(java.lang.String value)

  Sets the label for this item.

  Parameters:
    `value` - the new label

### getDescription

    public java.lang.String getDescription()

  Returns the description for this filterable item.

  Specified by:
    `getDescription` in interface `FilterableItemInterface`
  Returns:
    this item's description
  See Also:
    `FilterableItemInterface.getDescription()`

### setDescription

    public void setDescription(java.lang.String value)

  Sets the description for this item.

  Parameters:
    `value` - the new description

### getExpressionText

    public java.lang.String getExpressionText()

  Returns the text representation of the expression for the filter.

  Specified by:
    `getExpressionText` in interface `FilterableItemInterface`
  Returns:
    the expression text
  See Also:
    `FilterableItemInterface.getDescription()`

### setExpressionText

    public void setExpressionText(java.lang.String value)

  Sets the text representation of the expression for the filter for this item.

  Parameters:
    `value` - the new expression text

### getFilterModel

    public AdvancedFilterModelInterface getFilterModel()

  Returns the filter model for this filterable item.

  Specified by:
    `getFilterModel` in interface `FilterableItemInterface`
  Returns:
    the filter model
  See Also:
    `FilterableItemInterface.getFilterModel()`

### setFilterModel

    public void setFilterModel(AdvancedFilterModelInterface model)

  Sets the filter model for this filterable item.

  Parameters:
    `model` - the new filter model for this item

### getFilterableItem

    public java.lang.Object getFilterableItem()

  Returns the filterable native model object for this item.

  Specified by:
    `getFilterableItem` in interface `FilterableItemInterface`
  Returns:
    the filterable native model object
  See Also:
    `FilterableItemInterface.getFilterableItem()`

### setFilterableItem

    public void setFilterableItem(java.lang.Object value)

  Sets the filterable native model object for this item.

  Parameters:
    `value` - the native model object for this item

### clearFilter

    public void clearFilter()

  Clears the filter on this item's filter model.

  Specified by:
    `clearFilter` in interface `FilterableItemInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.